Index: branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM_CRS/MY_SRC/nemogcm.F90
===================================================================
--- branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM_CRS/MY_SRC/nemogcm.F90	(revision 3863)
+++ branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/CONFIG/ORCA2_LIM_CRS/MY_SRC/nemogcm.F90	(revision 3864)
@@ -521,5 +521,4 @@
       USE ldftra_oce, ONLY: ldftra_oce_alloc
       USE trc_oce   , ONLY: trc_oce_alloc
-!jes      USE crsdiawri , ONLY: crs_dia_wri_alloc
       !
       INTEGER :: ierr
@@ -534,5 +533,4 @@
       !
       ierr = ierr + trc_oce_alloc   ()          ! shared TRC / TRA arrays
-      !jes IF( ln_crs ) ierr = ierr + crs_dia_wri_alloc() ! standard output on coarse grid
       !
       IF( lk_mpp    )   CALL mpp_sum( ierr )
Index: branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90
===================================================================
--- branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90	(revision 3863)
+++ branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdom.F90	(revision 3864)
@@ -1,3 +1,3 @@
-MODULE crs_dom
+MODULE crsdom
    !!===================================================================
    !!                  ***  crs.F90 ***
@@ -1552,3 +1552,3 @@
 
 
-END MODULE crs_dom
+END MODULE crsdom
Index: branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90
===================================================================
--- branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 3863)
+++ branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 3864)
@@ -21,5 +21,4 @@
    USE lib_mpp         ! MPP library
 !   USE wrk_nemo        ! Memory allocation
-   USE iom_def
    USE iom
    USE crs         ! coarse grid domain
@@ -296,12 +295,12 @@
       SELECT CASE ( MOD(nn_msh_crs, 3) )
       CASE ( 1 )                
-         CALL crs_iom_close( inum0 )
+         CALL iom_close( inum0 )
       CASE ( 2 )
-         CALL crs_iom_close( inum1 )
-         CALL crs_iom_close( inum2 )
+         CALL iom_close( inum1 )
+         CALL iom_close( inum2 )
       CASE ( 0 )
-         CALL crs_iom_close( inum2 )
-         CALL crs_iom_close( inum3 )
-         CALL crs_iom_close( inum4 )
+         CALL iom_close( inum2 )
+         CALL iom_close( inum3 )
+         CALL iom_close( inum4 )
       END SELECT
       !
Index: branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90
===================================================================
--- branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 3863)
+++ branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 3864)
@@ -15,5 +15,6 @@
    USE in_out_manager
    USE par_kind, ONLY: wp
-   USE crs_dom
+   USE crs
+   USE crsdom
    USE crsdomwri
    USE crslbclnk
Index: branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsiom.F90
===================================================================
--- branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsiom.F90	(revision 3863)
+++ branches/2013/dev_r3411_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/CRS/crsiom.F90	(revision 3864)
@@ -31,13 +31,8 @@
    !! jes. 28 Jun 2012. TODO. make sure of variable declarations to be placed here or crs_dom.F90
    !!--------------------------------------------------------------------
-   USE timing
+   USE dom_oce         ! ocean space and time domain
    USE crs
-   USE dom_oce         ! ocean space and time domain
-   USE iom_def         ! iom variables definitions
-   USE netcdf          ! NetCDF library
    USE in_out_manager  ! I/O manager
-   USE lib_mpp         ! MPP library
    USE iom             ! I/O library
-   USE par_kind, ONLY: wp   
 
 
@@ -45,22 +40,7 @@
    PRIVATE
 
-   PUBLIC crs_iom_open, crs_iom_close, crs_iom_rstput, crs_iom_put
-
-!   PUBLIC crs_iom_varid, crs_iom_get, crs_iom_gettime
-
-
-   INTEGER, PARAMETER ::   jpdomcrs_data          = 1   !: ( 1  :jpiglo_crs, 1  :jpjglo_crs)
-   INTEGER, PARAMETER ::   jpdomcrs_global        = 2   !: ( 1  :jpiglo_crs, 1  :jpjglo_crs)
-   INTEGER, PARAMETER ::   jpdomcrs_local         = 3   !: One of the 3 following cases
-   INTEGER, PARAMETER ::   jpdomcrs_local_full    = 4   !: ( 1  :jpi_crs   , 1  :jpj_crs   )
-   INTEGER, PARAMETER ::   jpdomcrs_local_noextra = 5   !: ( 1  :nlci_crs  , 1  :nlcj_crs  )
-   INTEGER, PARAMETER ::   jpdomcrs_local_noovlap = 6   !: (nldi_crs:nlei_crs  ,nldj_crs:nlej_crs  )
-   INTEGER, PARAMETER ::   jpdomcrs_unknown       = 7   !: No dimension checking
-   INTEGER, PARAMETER ::   jpdomcrs_autoglo       = 8   !:
-   INTEGER, PARAMETER ::   jpdomcrs_autodta       = 9   !:
-   INTEGER            ::   ipdomcrs_local_noovlap_crs, ipdomcrs_local_full_crs, idomcrs_local_noextra_crs
+   PUBLIC crs_iom_open, crs_iom_rstput, crs_iom_put
 
    INTEGER                 ::   idomcrs     ! Type of domain to be written (default = jpdom_local_noovlap)
-   INTEGER, DIMENSION(2,5) ::   idompar_crs ! domain parameters:    
    LOGICAL                 ::   llnoov      ! local definition to read overlap
 
@@ -85,6 +65,6 @@
 
       llnoov = (jpni * jpnj ) == jpnij .AND. .NOT. lk_agrif 
-      IF( llnoov ) THEN   ;   idomcrs = jpdomcrs_local_noovlap   ! default definition
-      ELSE                ;   idomcrs = jpdomcrs_local_full      ! default definition
+      IF( llnoov ) THEN   ;   idomcrs = jpdom_local_noovlap   ! default definition
+      ELSE                ;   idomcrs = jpdom_local_full      ! default definition
       ENDIF
       IF ( PRESENT(kdom) ) idomcrs = kdom
@@ -92,30 +72,7 @@
       CALL iom_open( cdname, kiomid, ldwrt, idomcrs, kiolib )
 
-      WRITE(numout,*) 'crs_iom_open. after iom_open call kiomid=', kiomid
-
       CALL dom_grid_glo   ! Return to parent grid domain
 
    END SUBROUTINE crs_iom_open
-
-
-   SUBROUTINE crs_iom_close( kiomid )
-      !!--------------------------------------------------------------------
-      !!                       ***  MODULE crs_iom_open  ***
-      !!
-      !! ** Purpose : open an input file with NF90 on coarsened grid
-      !!---------------------------------------------------------------------
-      !! Arguments
-      INTEGER                , INTENT(inout)           ::   kiomid      ! nf90 identifier of the opened file
-      !! Local variable
-      CHARACTER(LEN=100)  ::   clinfo   ! info character
-      !---------------------------------------------------------------------
-      !
-      WRITE(numout,*) 'crs_iom_close. kiomid=', kiomid
-
-      CALL iom_close( kiomid )
-      WRITE(numout,*) 'crs_iom_close. after iom_open call kiomid=', kiomid
-
-      !    
-   END SUBROUTINE crs_iom_close
 
 
@@ -180,4 +137,5 @@
       ELSEIF( PRESENT(pv_r3d) ) THEN   ;  CALL iom_put( cdvar, pv_r3d )
       ENDIF
+
       CALL dom_grid_glo   ! Return to parent grid domain
 
